
TYPO3.TYPO3CR - Feature # 1875

Status: Closed Priority: Must have
Author: Karsten Dambekalns Category: Query handling
Created: 2008-10-27 Assigned To:
Updated: 2011-05-05 Due date:
Subject: Add more query options to persistence backend
Description

We need to support more advanced querying, not only testing for equality.

Related issues:
related to TYPO3.Flow - Feature # 1884: Add more query options Resolved 2008-10-27
related to TYPO3.TYPO3CR - Feature # 2812: Support querying by a property whi... Resolved 2009-03-10
related to TYPO3.TYPO3CR - Feature # 2811: Implement a case insensitive equal... Resolved 2009-03-10
related to TYPO3.TYPO3CR - Feature # 3959: Implement limit and ordering for q... Resolved 2009-07-22

Associated revisions
Revision a22e2207 - 2009-02-05 12:29 - Karsten Dambekalns
FLOW3:
    -  added and/or/not to the query mechanism, refs #1884
TYPO3CR:
    -  changed the way Lucene queries are built to allow more flexibility
    -  added and/or/not to the query mechanism, refs #1875
    -  some changes to handling of bound variables

Revision 1faa4813 - 2009-05-20 14:08 - Karsten Dambekalns
TYPO3CR:
    -  cleaned up PDO storage and search backend, refs #2891
    -  support querying for objects now works, resolves #2812, refs #1884, refs #1875
    -  added more operators for comparison when searching, refs #1884, refs #1875
    -  added and cleaned up some tests

History
#1 - 2008-10-28 13:14 - Karsten Dambekalns
- Priority changed from Should have to Must have
- Target version set to 197

#2 - 2009-03-24 12:30 - Karsten Dambekalns
- Status changed from New to Accepted
- % Done changed from 0 to 30

#3 - 2009-05-12 13:01 - Karsten Dambekalns
- Subject changed from Add more query options to Add more query options to persistence backend
- Assigned To set to Karsten Dambekalns
- % Done changed from 30 to 40

#4 - 2009-07-22 14:12 - Karsten Dambekalns
- % Done changed from 40 to 70
#5 - 2010-08-24 17:29 - Karsten Dambekalns
- Assigned To deleted (Karsten Dambekalns)

#6 - 2010-12-17 13:02 - Karsten Dambekalns
- Status changed from Accepted to Closed

#7 - 2011-05-05 17:12 - Robert Lemke
- Target version deleted (197)
